com.pixelmed.event

## Class Listener

- java.lang.Object
- - com.pixelmed.event.Listener

All Implemented Interfaces:
  java.util.EventListener

Direct Known Subclasses:
  SelfRegisteringListener

    public abstract class Listener
    extends java.lang.Object
    implements java.util.EventListener

### Constructor Summary

Constructors
Constructor and Description
`Listener(java.lang.String className, EventContext eventContext)`

### Method Summary

Methods
`abstract void` `changed(Event e)`
`java.lang.Class` `getClassOfEventHandled()`
`EventContext` `getEventContext()`
`void` `setClassOfEventHandled(java.lang.Class classOfEventHandled)`
`void` `setEventContext(EventContext eventContext)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Listener

    public Listener(java.lang.String className,
            EventContext eventContext)

Parameters:
  `className` -
  `eventContext` -

### Method Detail

#### setClassOfEventHandled

    public final void setClassOfEventHandled(java.lang.Class classOfEventHandled)

Parameters:
  `classOfEventHandled` -

#### getClassOfEventHandled

    public final java.lang.Class getClassOfEventHandled()

#### setEventContext

    public final void setEventContext(EventContext eventContext)

Parameters:
  `eventContext` -

#### getEventContext

    public final EventContext getEventContext()

#### changed

    public abstract void changed(Event e)

Parameters:
  `e` -

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`